nvme_get_features_data(9)

NAME
nvme_get_features_data - Helper function for @nvme_get_features()

SYNOPSIS
int nvme_get_features_data (int fd , enum nvme_features_id fid , __u32 nsid , __u32 data_len , void *data , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

fid Feature identifier

nsid
    Namespace ID, if applicable

data_len
    Length of feature data, if applicable, in bytes

data
    User address of feature data, if applicable

result
    The command completion result from CQE dword0

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.